Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.view.facelets.html
Class CustomBehaviorHandler

    java.lang.Object
      javax.faces.view.facelets.TagHandler
          javax.faces.view.facelets.MetaTagHandler
              javax.faces.view.facelets.DelegatingMetaTagHandler
                  javax.faces.view.facelets.FaceletsAttachedObjectHandler
                      javax.faces.view.facelets.BehaviorHandler
                          org.richfaces.view.facelets.html.CustomBehaviorHandler

All Implemented Interfaces:
  javax.faces.view.AttachedObjectHandler, javax.faces.view.BehaviorHolderAttachedObjectHandler, javax.faces.view.facelets.FaceletHandler

Direct Known Subclasses:
  AjaxHandler, ComponentControlHandler

    public class CustomBehaviorHandler

extends javax.faces.view.facelets.BehaviorHandler

Author:
  Anton Belevich

Field Summary

Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler
`delegateFactory`

Fields inherited from class javax.faces.view.facelets.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`CustomBehaviorHandler(javax.faces.view.facelets.BehaviorConfig config)`

Method Summary
`javax.faces.view.facelets.MetaRule[]` | `getMetaRules()`
`protected javax.faces.view.facelets.TagHandlerDelegate` | `getTagHandlerDelegate()`
`boolean` | `isWrapping()`
`boolean` | `isWrappingAttachQueue()`

Methods inherited from class javax.faces.view.facelets.BehaviorHandler
`getBehaviorId, getEvent, getEventName`

Methods inherited from class javax.faces.view.facelets.FaceletsAttachedObjectHandler
`applyAttachedObject, getAttachedObjectHandlerHelper, getFor`

Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler
`apply, applyNextHandler, createMetaRuleset, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

Methods inherited from class javax.faces.view.facelets.TagHandler
`getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.faces.view.AttachedObjectHandler
`applyAttachedObject, getFor`

Constructor Detail

### CustomBehaviorHandler

    public CustomBehaviorHandler(javax.faces.view.facelets.BehaviorConfig config)

Method Detail

### isWrapping

    public boolean isWrapping()

### isWrappingAttachQueue

    public boolean isWrappingAttachQueue()

### getMetaRules

    public javax.faces.view.facelets.MetaRule[] getMetaRules()

### getTagHandlerDelegate

    protected javax.faces.view.facelets.TagHandlerDelegate getTagHandlerDelegate()

  Overrides:
    `getTagHandlerDelegate` in class `javax.faces.view.facelets.BehaviorHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.